<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>PlayerPiece</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PlayerPiece";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PlayerPiece.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../view/PlayerBar.html" title="class in view"><span class="strong">Prev Class</span></a></li>
<li><a href="../view/PlayerPieces.html" title="class in view"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/PlayerPiece.html" target="_top">Frames</a></li>
<li><a href="PlayerPiece.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_javax.swing.JComponent">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_javax.swing.JComponent">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">view</div>
<h2 title="Class PlayerPiece" class="title">Class PlayerPiece</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>javax.swing.JComponent</li>
<li>
<ul class="inheritance">
<li>javax.swing.JPanel</li>
<li>
<ul class="inheritance">
<li>view.PlayerPiece</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.datatransfer.Transferable, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">PlayerPiece</span>
extends javax.swing.JPanel
implements java.awt.datatransfer.Transferable</pre>
<div class="block">The Class PlayerPiece is a jPanel who represent a piece with a board of jLabel.
 This class implements Transferable to the function of drag and drop.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#view.PlayerPiece">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_javax.swing.JComponent">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JComponent</h3>
<code>javax.swing.JComponent.AccessibleJComponent</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.BaselineResizeBehavior</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_javax.swing.JComponent">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JComponent</h3>
<code>TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../view/PlayerPiece.html#PlayerPiece(model.Piece)">PlayerPiece</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;piece)</code>
<div class="block">Instantiates a new player piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../view/PlayerPiece.html#PlayerPiece(model.Piece,%20view.PlayerZone)">PlayerPiece</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
           <a href="../view/PlayerZone.html" title="class in view">PlayerZone</a>&nbsp;playerZone)</code>
<div class="block">Instantiates a new player piece.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerPiece.html#activer()">activer</a></strong>()</code>
<div class="block">Start the listener of this PlayerPiece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerPiece.html#actualiserBar()">actualiserBar</a></strong>()</code>
<div class="block">Actualize the PlayerBar of this player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerPiece.html#desActiver()">desActiver</a></strong>()</code>
<div class="block">Stop the listener of this PlayerPiece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerPiece.html#finish()">finish</a></strong>()</code>
<div class="block">If this piece is not used, set the color with a bright gray and stop it's listener.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../model/Piece.html" title="class in model">Piece</a></code></td>
<td class="colLast"><code><strong><a href="../view/PlayerPiece.html#getPiece()">getPiece</a></strong>()</code>
<div class="block">Gets the piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerPiece.html#getTransferData(java.awt.datatransfer.DataFlavor)">getTransferData</a></strong>(java.awt.datatransfer.DataFlavor&nbsp;flavor)</code>
<div class="block">This method arise from transferable.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.awt.datatransfer.DataFlavor[]</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerPiece.html#getTransferDataFlavors()">getTransferDataFlavors</a></strong>()</code>
<div class="block">This method arise from transferable and it's return is not important.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerPiece.html#isDataFlavorSupported(java.awt.datatransfer.DataFlavor)">isDataFlavorSupported</a></strong>(java.awt.datatransfer.DataFlavor&nbsp;flavor)</code>
<div class="block">This method arise from transferable and it's return is not important.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerPiece.html#reUse()">reUse</a></strong>()</code>
<div class="block">Reuse this piece, recolor it with the players color and start it's listener.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerPiece.html#setPiece(model.Piece)">setPiece</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p)</code>
<div class="block">Sets the piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerPiece.html#use()">use</a></strong>()</code>
<div class="block">Use this piece, set the color gray to it and stop it's listener.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_javax.swing.JPanel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JPanel</h3>
<code>getAccessibleContext, getUI, getUIClassID, setUI, updateUI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_javax.swing.JComponent">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JComponent</h3>
<code>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PlayerPiece(model.Piece, view.PlayerZone)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PlayerPiece</h4>
<pre>public&nbsp;PlayerPiece(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
           <a href="../view/PlayerZone.html" title="class in view">PlayerZone</a>&nbsp;playerZone)</pre>
<div class="block">Instantiates a new player piece.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>piece</code> - the piece to represent</dd><dd><code>playerZone</code> - the player zone</dd></dl>
</li>
</ul>
<a name="PlayerPiece(model.Piece)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PlayerPiece</h4>
<pre>public&nbsp;PlayerPiece(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;piece)</pre>
<div class="block">Instantiates a new player piece.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>piece</code> - the piece to represent</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="use()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>use</h4>
<pre>public&nbsp;void&nbsp;use()</pre>
<div class="block">Use this piece, set the color gray to it and stop it's listener.</div>
</li>
</ul>
<a name="reUse()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reUse</h4>
<pre>public&nbsp;void&nbsp;reUse()</pre>
<div class="block">Reuse this piece, recolor it with the players color and start it's listener.</div>
</li>
</ul>
<a name="finish()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>finish</h4>
<pre>public&nbsp;void&nbsp;finish()</pre>
<div class="block">If this piece is not used, set the color with a bright gray and stop it's listener.</div>
</li>
</ul>
<a name="setPiece(model.Piece)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPiece</h4>
<pre>public&nbsp;void&nbsp;setPiece(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;p)</pre>
<div class="block">Sets the piece.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the new piece</dd></dl>
</li>
</ul>
<a name="getPiece()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPiece</h4>
<pre>public&nbsp;<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;getPiece()</pre>
<div class="block">Gets the piece.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the piece</dd></dl>
</li>
</ul>
<a name="getTransferData(java.awt.datatransfer.DataFlavor)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransferData</h4>
<pre>public&nbsp;java.lang.Object&nbsp;getTransferData(java.awt.datatransfer.DataFlavor&nbsp;flavor)</pre>
<div class="block">This method arise from transferable.
 It return this PlayerPiece to transfert it. (for the drag and drop)</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getTransferData</code>&nbsp;in interface&nbsp;<code>java.awt.datatransfer.Transferable</code></dd>
</dl>
</li>
</ul>
<a name="getTransferDataFlavors()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransferDataFlavors</h4>
<pre>public&nbsp;java.awt.datatransfer.DataFlavor[]&nbsp;getTransferDataFlavors()</pre>
<div class="block">This method arise from transferable and it's return is not important.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getTransferDataFlavors</code>&nbsp;in interface&nbsp;<code>java.awt.datatransfer.Transferable</code></dd>
</dl>
</li>
</ul>
<a name="isDataFlavorSupported(java.awt.datatransfer.DataFlavor)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDataFlavorSupported</h4>
<pre>public&nbsp;boolean&nbsp;isDataFlavorSupported(java.awt.datatransfer.DataFlavor&nbsp;flavor)</pre>
<div class="block">This method arise from transferable and it's return is not important.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>isDataFlavorSupported</code>&nbsp;in interface&nbsp;<code>java.awt.datatransfer.Transferable</code></dd>
</dl>
</li>
</ul>
<a name="actualiserBar()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actualiserBar</h4>
<pre>public&nbsp;void&nbsp;actualiserBar()</pre>
<div class="block">Actualize the PlayerBar of this player.</div>
</li>
</ul>
<a name="activer()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activer</h4>
<pre>public&nbsp;void&nbsp;activer()</pre>
<div class="block">Start the listener of this PlayerPiece.</div>
</li>
</ul>
<a name="desActiver()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>desActiver</h4>
<pre>public&nbsp;void&nbsp;desActiver()</pre>
<div class="block">Stop the listener of this PlayerPiece.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PlayerPiece.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../view/PlayerBar.html" title="class in view"><span class="strong">Prev Class</span></a></li>
<li><a href="../view/PlayerPieces.html" title="class in view"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/PlayerPiece.html" target="_top">Frames</a></li>
<li><a href="PlayerPiece.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_javax.swing.JComponent">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_javax.swing.JComponent">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
